<template>
    <div class="popular-locations">
        <div class="overlay-box">
            <h5>
                <a href="https://weddingdir.net/listing-location/india/maharastra/goa/">Goa 
                    <span>9 Vendors</span>
                </a>
            </h5>
            <a href="https://weddingdir.net/listing-location/india/maharastra/goa/" class="iconlink"><i class="fa fa-angle-right"></i></a>
        </div>
        <img decoding="async" class="w-100 img-responsive" src="/images/location1.jpg" alt="Listing Location Taxonomy Goa">
    </div>
</template>
<script setup>
</script>

<style scoped>
    .popular-locations {
        position: relative;
        overflow: hidden;
        border-radius: 8px;
    }
    .popular-locations .overlay-box {
        width: 100%;
        bottom: 0;
        padding: 1.2rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
        position: absolute;
        background: rgba(0, 0, 0, 0.6);
        color: #fff;
        z-index: 99;
        -webkit-transition: all 400ms ease-in-out;
        -moz-transition: all 400ms ease-in-out;
        -o-transition: all 400ms ease-in-out;
        -ms-transition: all 400ms ease-in-out;
        transition: all 400ms ease-in-out;
    }
    .popular-locations:hover .overlay-box {
        background: var( --bg-pink );
    }
    .popular-locations .overlay-box h5 {
        margin-bottom: 0;
        font-weight: 300;
    }
    .popular-locations .overlay-box h5 span {
        display: block;
        padding-top: 4px;
        font-size: 0.875rem;
    }
    .popular-locations .overlay-box i {
        width: 36px;
        height: 36px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 50px;
        border: 1px solid #fff;
    }
    .popular-locations:hover img {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-transition: all .5s ease;
        transition: all .5s ease;
    }
    .img-responsive {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
        -webkit-transition: all .5s ease;
        transition: all .5s ease;
        display: block;
        max-width: 100%;
        height: auto;
    }
</style>